> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Grant access scope to user

> Grants a permission scope to a specific user



## OpenAPI

````yaml /api-reference/gns3util-master-api-docs.json post /api/v1/auth/grant
openapi: 3.0.0
info:
  description: API for gns3util cluster management
  title: gns3util cluster master API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/auth/grant:
    post:
      tags:
        - auth
      summary: Grant access scope to user
      description: Grants a permission scope to a specific user
      parameters:
        - description: User ID
          name: user_id
          in: query
          required: true
          schema:
            type: string
        - description: Scope to grant
          name: scope
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and JWT token.
      type: apiKey
      name: Authorization
      in: header

````